<style>

    .modalSearch {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.791);
        transition: all 0.5s linear;
    }

    .modalSearch-content {
        background-color: #ffffffef;
        position: absolute;
        top: 50%;
        left: 50%;
        width: 80%;
        height: 80vh;
        transform: translate(-50%, -50%);
        padding-inline: 40px;
        border: 1px solid #ccc;
        border-radius: 20px;
    }

    .close {
        width: 100%;
        text-align: right;
        cursor: pointer;
        font-size: 40px;
    }
    .searchInpuContainer{
        width: 100%;
        height: 50px;
        padding: 0px !important;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 1.5px solid #000;

    }
    #categorySelect{
        height: 50px;
        margin: 0px;
        min-width: 10%;
        padding-inline: 10px;
        border: none !important;
        outline: none;
        background: transparent;
    }
    #searchInput{
        height:50px ;
        margin: 0px;
        width: 80%;
        outline: none;
        background: transparent;
        border-left: 1.5px solid #000;
        border-bottom: 0;
        border-top: 0;
        border-right: 0;
        padding-left: 20px;

    }
    .searchButton{
        border: none;
        width: 10%;
        height: 50px;
        border: none !important;
        outline: none;
        background: transparent;
        transition: all 0.3s ease;
    }
    .searchButton:hover{
        background: #b9bcb9 !important;
        border-left: 1.5px solid #000 !important;
        border-top: 1.5px solid #000 !important;
        border-bottom: 1.5px solid #000 !important;
    }

</style>


<li class="nav-item">
    <a class="nav-link " aria-current="page" href="#" id="openModal">
      <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>
    </a>
  </li>
  <div id="searchModal" class="modal modalSearch">
      <div class="modalSearch-content">
        <p class="close" id="closeModal">&times;</p>
            <form action="/search-products" method="get">
             <div class="searchInpuContainer">
              <select name="productcategory" id="categorySelect">
                  <option value="all">All</option>
                  <option value="Men">Men</option>
                  <option value="Women">Women</option>
              </select>
              <input required name="searchTerm" type="search" id="searchInput" placeholder="Search Products by name">
              <button type="submit" class="searchButton">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>
              </button>
            </div>
         </form>
         <div>
            <img  style="width: 100%;height:450px;object-fit: contain;" src="../../assets/images/Search engines-cuate.png" class="img-fluid" alt="">
         </div>
      </div>
  </div>
  <script>
    // Get the modal and buttons
    const searchModal = document.getElementById("searchModal");
    const openModalBtn = document.getElementById("openModal");
    const closeModalBtn = document.getElementById("closeModal");

    // Event listeners
    openModalBtn.addEventListener("click", () => {
    searchModal.style.display = "block";
    filterItems(); // Initially filter items
    });

    closeModalBtn.addEventListener("click", () => {
    searchModal.style.display = "none";
    });

    categorySelect.addEventListener("change", filterItems);
    searchInput.addEventListener("input", filterItems);

    // Close the modal if the user clicks outside of it
    window.addEventListener("click", (event) => {
    if (event.target === searchModal) {
    searchModal.style.display = "none";
    }
    });
  </script>